Subject: Re: DEPENDS: -* or -[0-9]*
To: David Brownlee <>
From: Dr. Rene Hexel <>
List: tech-pkg
Date: 12/06/2000 16:43:43
David Brownlee wrote:

>         OK - does anyone know of any cases where we have a DEPENDS or
>         CONFLICTS of xxx-* which _doesn't_ mean 'xxx-[0-9]*'?

  I don't know any from the top of my head, but sometimes xxx-* means
'xxx-[0-9]*' or 'xxx-current-[0-9]*'.

>         If not, I'll take a pass through pkgsrc and switch all the
>         DEPENDS and CONFLICTS to -[0-9]*.

  Do that, but you may want to counter-check those packages where a
-current exists.  For most packages this should be a non-issue, because
most (if not all) of these packages install their '-current' version as
'package-<version>' (where <version> is a newer version than the base
package) anyway.